Bug 120811 - yaboot's "mkofboot" requires hfsutils on ppc32
yaboot's "mkofboot" requires hfsutils on ppc32
Status: CLOSED DUPLICATE of bug 117512
Product: Fedora
Classification: Fedora
Component: yaboot (Show other bugs)
rawhide
powerpc Linux
medium Severity high
: ---
: ---
Assigned To: Jeremy Katz
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-13 22:48 EDT by Nathan Robertson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-21 14:02:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Spec file, slightly modified from YDL (3.47 KB, text/plain)
2004-04-13 22:48 EDT, Nathan Robertson
no flags Details

  None (edit)
Description Nathan Robertson 2004-04-13 22:48:10 EDT
Description of problem:
On Apple PowerPC, mkofboot accesses the HFS bootstrap partition using
utilities in the hfsutils package (which Fedora Core lacks currently).
Without it, it fails saying it can't access the filesystem. Hence I've
attached a specfile for the package in question, which is slightly
modified from the one in Yellow Dog Linux 3.0.1, which works fine for
me on my Fedora Core / ppc box (which I'm using to report this bug on).

Version-Release number of selected component (if applicable):
yaboot-1.3.10-9

How reproducible:
Always

Steps to Reproduce:
1. Type "mkofboot" on a Apple PowerPC box
  
Actual results:
Fails, complaining that it can't write to the bootstrap partition (the
exact error message escapes me, but it basically points you to
installing hfsutils)

Expected results:
Writes the new stuff to the boot partition.
Comment 1 Nathan Robertson 2004-04-13 22:48:45 EDT
Created attachment 99392 [details]
Spec file, slightly modified from YDL
Comment 2 Paul Nasrat 2004-04-14 12:58:25 EDT
A few missing buildrequires - http://pauln.truemesh.com/rpms/ has a
similar effort.  See also RFE bug 117512
Comment 3 Nathan Robertson 2004-04-14 15:51:39 EDT
Damn. The one I attached in comment #1 was an old backup, not the one
I am actually using. Oops...

The differences between the one you have and the one I *should* have
submitted is that you break out a -devel and a -x11 package, mine is
monolithic. So yours is probably better.

Can you attach your spec file to one of the bug reports, mark the
other as a duplicate?

I believe this bug should at least be linked against the yaboot
package, because the ppc build of yaboot exists in rawhide/devel, and
is not much use without a working hfsutils on NewWorld (OldWorld
doesn't use yaboot anyway). Hence I reported it as a high severity bug
against yaboot on the powerpc platform.

While we're here, yaboot should depend on hfsutils on the ppc platform.
Comment 4 Paul Nasrat 2004-04-15 08:24:14 EDT
triage->close

dwmw2 has hfsutils-3.2.6-2.1 in rawhide, has buildrequires and requires
Comment 5 Nathan Robertson 2004-04-15 19:16:24 EDT

*** This bug has been marked as a duplicate of 117512 ***
Comment 6 Red Hat Bugzilla 2006-02-21 14:02:34 EST
Changed to 'CLOSED' state since 'RESOLVED' has been deprecated.

Note You need to log in before you can comment on or make changes to this bug.